For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETFeature switches
      • GETRetrieve PDS
      • GETRetrieve PDS V2
      • GETRetrieve PDS metadata
      • GETRetrieve PDS metadata V2
      • GETTender types
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIInsurance Contract

Tender types

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/insuranceContract/:insuranceContractId/tenderTypes
GET
/products/v1/:brandCode/insuranceContract/:insuranceContractId/tenderTypes
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/insuranceContract/1000000/tenderTypes \
> -H "Authorization: Bearer <token>"
200World Nomads - insuranceContractId 40
1[
2 {
3 "code": "visa"
4 },
5 {
6 "code": "mc"
7 },
8 {
9 "code": "amex"
10 }
11]

Return a list of tender types (payment methods) supported for an insurance contract.

Was this page helpful?
Previous

Configuration by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:
insuranceContractIdlongRequiredDefaults to 0

A valid insuranceContractCode (as returned by /underwriters)

Response

Success
codestring